#include <bits/stdc++.h>
#define ll long long

using namespace std;

void A(){
}

void G(){
    string s;
    cin>>s;
    reverse(s.begin(),s.end());
    string c="";
    for(int i=0;i<s.size();i++){
        if(s[i]=='0'){
            s.erase(s.begin()+i);
            i=0;
        }
        else {
            break;
        }
    }
    for(ll i=0;i<s.size();i++){
        if(s[i]=='2')s[i]='5';
        else if(s[i]=='5')s[i]='2';
    }
    if(s[0]=='0')s.erase(s.begin()+0);
    cout<<s;
}

void E(){
    ll n,m;
    cin>>n>>m;
    vector<ll> a(m);
    map<ll,ll> mp1;
    map<ll,ll> mp;
    for(ll i=0;i<m;i++){
        cin>>a[i];
        if(mp[a[i]]==0){
            mp1[i]=a[i];
        }
        mp[a[i]]++;
    }
    ll k=0;
    for(auto i:mp1){
        if(mp[i.second]>=n){
            k++;
        }
    }
    cout<<k<<endl;
    for(auto i:mp1){
        if(mp[i.second]>=n){
            cout<<i.second<<" ";
        }
    }

}
int main()
{
    E();
    return 0;
}
